services:
  frontend:
    container_name: dev_SAGE
    build:
      context: .
      target: dev
      args:
        VITE_API_URL: "https://prod.dataven.fr/api"
    env_file: .env
    ports:
      - "3000:3000"
    volumes:
      - .:/app
      - /app/node_modules
    environment:
      NODE_ENV: development
    restart: unless-stopped